unit uparqueseolicos;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, pqconnection, sqldb, db, FileUtil, Forms, Controls,
  Graphics, Dialogs, DBGrids, StdCtrls, DbCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btApplyUpdates: TButton;
    btListar: TButton;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    PQConnection1: TPQConnection;
    SQLQuery1: TSQLQuery;
    SQLTransaction1: TSQLTransaction;
    procedure btApplyUpdatesClick(Sender: TObject);
    procedure btListarClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.btApplyUpdatesClick(Sender: TObject);
begin
  if SQLTransaction1.Active then
  begin
    SQLQuery1.ApplyUpdates;
    SQLTransaction1.Commit;
  end;
end;

procedure TForm1.btListarClick(Sender: TObject);
var
  sql: TSQLQuery;
  s: string;
begin
  sql:= TSQLQuery.Create( self );
  sql.SQL.Text:= 'SELECT nid, centralgeneradora FROM parqueseolicos WHERE activo > 0 ORDER BY nid ';
  sql.DataBase:= PQConnection1;
  sql.Transaction:= SQLTransaction1;
  sql.Open;
  while not sql.EOF do
  begin
    writeln( sql.Fields[0].AsInteger, ' ', sql.Fields[1].AsString );
    sql.Next;
  end;
  sql.Close;
  sql.Free;


end;

end.

