unit ues_operadoresbinomicos;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, uparseadorsupersimple;


procedure AgregarOperadoresBinomicos( Evaluador: TEvaluadorExpresionesSimples );

implementation

type
   TOperSuma_F_FF = class(   TOperProcDef )
    procedure evaluar( salidas, entradas: TList ); override;
    constructor Create;
  end;

procedure TOperSuma_F_FF.evaluar( salidas, entradas: TList );
var
  res, parA, parB: TExpresion;
begin
  res:= TExpresion( salidas[0] );
  parA:= TExpresion( entradas[0] );
  parB:= TExpresion( entradas[1] );

  res.val.val_F:= parA.val.val_F + parB.val.Val_F;
end;

constructor TOperSuma_F_FF.Create;
begin
  inherited Create( '+', 'F', 'FF' );
end;

procedure AgregarOperadoresBinomicos( Evaluador: TEvaluadorExpresionesSimples );
var
  aDef: TOperProcDef;
begin
  aDef:= TOperSuma_F_FF.Create;
  Evaluador.CatalogoOperadoresBinomicos.add( aDef );

end;

end.

